*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  -moz-text-size-adjust: none;
  -webkit-text-size-adjust: none;
  text-size-adjust: none;
}

body,
h1,
h2,
h3,
h4,
p,
figure,
blockquote,
dl,
dd {
  margin: 0;
}

[role="list"] {
  list-style: none;
  margin: 0;
  padding: 0;
}

body {
  min-block-size: 100vh;
  line-height: 1.4;
  padding: 0;
}

img {
  max-width: 100%;
  height: auto;
  vertical-align: middle;
  font-style: italic;
}

h1,
h2,
h3,
button,
input,
label,
p {
  line-height: 1.4;
}

h1,
h2,
h3,
h4 {
  text-wrap: balance;
}

p,
li {
  text-wrap: pretty;
}

body,
a {
  color: #5e5343;
  font-family: "Poppins";
}

a {
  text-decoration: none;
  cursor: pointer;
}

h2 {
  font-size: clamp(3rem, calc(6vw + 0.25rem), 4rem);
  border-bottom: 1px solid #5e5343;
  margin-bottom: 1rem;
  font-weight: 400;
  font-family: "Bodoni MT", serif;
}

p {
  font-size: 0.875rem;
}

.bold {
  font-weight: 700;
}

.margin-bottom-0 {
  margin-bottom: 0;
}

.margin-bottom-1 {
  margin-bottom: 1rem;
}

.margin-bottom-1-5 {
  margin-bottom: 1.5rem;
}

.no-wrap {
  white-space: nowrap;
}

main {
  background-color: #efe9e4;
  max-width: 1440px;
  margin-inline: auto;
  padding: 3rem clamp(1.5rem, calc(2vw + 1rem), 8.875rem);
}

.header-section {
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
  justify-content: end;
  margin-bottom: 4.5rem;
}

.image-anchor {
  display: flex;
  align-items: center;
  gap: 1.125rem;
  font-size: 0.875rem;
  line-height: 1.5;
  border-radius: 4px;
}

.header-section .image-anchor {
  justify-content: flex-end;
}

.image-anchor.mail {
  min-width: min(317px, 90vw);
}

.image-anchor.call {
  min-width: min(132px, 90vw);
}

.image-anchor:hover,
.image-anchor:focus-visible {
  font-weight: 700;
}

.image-anchor:focus-visible {
  outline: 1px solid #e8a94d;
}

.image-anchor .image {
  flex-shrink: 0;
  height: 24px;
  width: 24px;
  background-size: contain;
  background-repeat: no-repeat;
}

.image-anchor:not(:hover) .image.mail {
  height: 18px;
  width: 22px;
}

.image-anchor.call .image {
  background-image: url("call.png");
}

.image-anchor.call:hover .image,
.image-anchor.call:focus-visible .image {
  background-image: url("call-bold.png");
}

.image-anchor.mail .image {
  background-image: url("mail.png");
}

.image-anchor.mail:hover .image,
.image-anchor.mail:focus-visible .image {
  background-image: url("mail-bold.png");
}

section:not(.header-section) {
  display: flex;
}

.hero-section {
  gap: 1.5rem;
  flex-direction: column;
  place-items: center;
  text-align: center;
  margin-bottom: 5rem;
}

.hero-section .text-wrapper {
  grid-column: 3/-1;
  max-width: min(430px, 100%);
}

.hero-section .image-wrapper img {
  max-width: 58.5%;
}

.about-me-section {
  flex-direction: column;
  gap: 3.125rem;
  margin-bottom: 4.875rem;
}

.about-me-section p {
  margin-bottom: 1.5rem;
}

section.help-areas-section {
  display: grid;
  margin-bottom: 9rem;
  gap: 3.125rem;
}

.help-areas-section__note {
  display: grid;
  align-items: center;
  grid-template-columns: 24px 1fr;
  gap: 1rem;
  margin-left: 1rem;
  margin-top: 3rem;
}

.contact-section {
  flex-direction: column-reverse;
  gap: 3.75rem;
}

.contact-section .text-wrapper {
  display: grid;
  gap: 2rem;
}

.image-wrapper {
  text-align: center;
}

.image-wrapper img {
  width: 100%;
}

@media (width > 768px) {
  .bigger-column {
    grid-column: 1/3;
    grid-row-start: 1;
  }

  .smaller-column {
    grid-column-start: 4;
    grid-row-start: 1;
  }

  section.hero-section {
    margin-bottom: 10rem;
    text-align: left;
    justify-items: start;
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 39% 11% 11% 39%;
    align-items: center;
    gap: 0;
  }

  .hero-section .image-wrapper img {
    max-width: 100%;
  }
}

@media (width > 1140px) {
  main {
    padding: 3rem clamp(1.5rem, 10%, 142px);
  }

  p {
    font-size: 1rem;
  }

  section:not(.header-section) {
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns: 39% 11% 11% 39%;
    align-items: center;
    gap: 0;
  }

  section:not(.header-section):not(:last-child) {
    margin-bottom: 10rem;
  }

  .header-section {
    gap: 6.25rem;
    margin-bottom: 6.5rem;
  }

  .image-anchor {
    font-size: 1rem;
    gap: 1rem;
  }

  .about-me-section {
    flex-direction: row-reverse;
  }

  .about-me-section h2 {
    max-width: 77%;
  }

  .help-areas-section .text-wrapper {
    grid-column: 3/-1;
  }

  .help-areas-section .text-wrapper h2 {
    width: fit-content;
  }

  .help-areas-section__note {
    margin-top: clamp(1rem, calc(4.75vw + 0.5rem), 6rem);
  }

  .contact-section .image-wrapper {
    grid-column: 3/-1;
  }
}
